# Class TCefStreamWriterRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFStreamWriter

## Declaration

`type TCefStreamWriterRef = class(TCefBaseRefCountedRef, ICefStreamWriter)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefStreamWriterRef

## Overview

### Methods

| `function write(const ptr: Pointer; size, n: NativeUInt): NativeUInt;`
| `function Seek(offset: Int64; whence: Integer): Integer;`
| `function Tell: Int64;`
| `function Flush: Integer;`
| `function MayBlock: Boolean;`
| `class function UnWrap(data: Pointer): ICefStreamWriter;`
| `class function CreateForFile(const fileName: ustring): ICefStreamWriter;`
| `class function CreateForHandler(const handler: ICefWriteHandler): ICefStreamWriter;`

## Description

### Methods

| `function write(const ptr: Pointer; size, n: NativeUInt): NativeUInt;`
This item has no description. Showing description inherited from ICefStreamWriter.Write. Write raw binary data.

| `function Seek(offset: Int64; whence: Integer): Integer;`
This item has no description. Showing description inherited from ICefStreamWriter.Seek. Seek to the specified offset position. |whence| may be any one of SEEK_CUR, SEEK_END or SEEK_SET. Returns zero on success and non-zero on failure.

| `function Tell: Int64;`
This item has no description. Showing description inherited from ICefStreamWriter.Tell. Return the current offset position.

| `function Flush: Integer;`
This item has no description. Showing description inherited from ICefStreamWriter.Flush. Flush the stream.

| `function MayBlock: Boolean;`
This item has no description. Showing description inherited from ICefStreamWriter.MayBlock. Returns true (1) if this writer performs work like accessing the file system which may block. Used as a hint for determining the thread to access the writer from.

| `class function UnWrap(data: Pointer): ICefStreamWriter;`
This item has no description.

| `class function CreateForFile(const fileName: ustring): ICefStreamWriter;`
This item has no description.

| `class function CreateForHandler(const handler: ICefWriteHandler): ICefStreamWriter;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.